@layer utilities {
  @variants responsive {
    .abs-full {
      position: absolute;
      width: 100%;
      height: 100%;
    }

    .abs-center {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    .abs-horizontal-center {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
    }

    .abs-vertical-center {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}
